Ticket #16590

POST メソッドでアクセスされたとき SJIS → UTF-8 にコード変換

Open Date: 2009-05-06 22:51 Last Update: 2009-10-21 21:42

Reporter:
Owner:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

POST メソッドでアクセスされたとき、$_POST の中身を強制的に Shift_JIS → UTF-8 変換する。コンタクトフォームなどを携帯から投稿しても文字化けしなくなる。

現状、Ktai Style 自体が処理するフォーム (コメント等) は ks_mb_get_form() を使えば文字コード変換ずみの結果が得られるが、もっと早い段階ですべての $_POST を処理してしまうことを検討する。文字コードの検出が難しいので、すべての $_POST ではなく、文字コード判別用 hidden フィールドがあれば自動変換させることを検討する。

Ticket History (3/4 Histories)

2009-05-06 22:51 Updated by: yuriko
  • New Ticket "POST メソッドでアクセスされたとき SJIS → UTF-8 にコード変換" created
2009-09-30 15:44 Updated by: yuriko
  • Resolution Update from None to Fixed
Comment

1.80-beta1で修正予定

2009-09-30 15:48 Updated by: yuriko
Comment

Contact Form 7 とか Contact Form II とかを使っているとき、自動的に ks_ks_fix_encoding_form() を実行させる仕組みを実装すれば完了とします。

2009-10-21 21:42 Updated by: yuriko
  • Ticket Close date is changed to 2009-10-21 21:42
  • Status Update from Open to Closed
Comment

Contact Form 7 対応は完了。Contact Form II はとりあえず無視 ;-)

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login